unit secur;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Mask, tGlob, Users, tMisc;

type
  TSecurityForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Edit: TMaskEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SecurityForm: TSecurityForm;

implementation

uses tor32u;

{$R *.DFM}

procedure TSecurityForm.BitBtn1Click(Sender: TObject);
begin
  R. Security := Str2Long (SecurityForm. Edit. Text);
  SetSecurity;
  SaveUser (R);
  MainForm. Console1. ShowCursor;
  MainForm. miSecurity := True;
  Close;
end;

procedure TSecurityForm.BitBtn2Click(Sender: TObject);
begin
  MainForm. Console1. ShowCursor;
  MainForm. miSecurity := True;
  Close;
end;

end.
